Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Collections.IEnumerable System.Net.ICredentials System.Net.ICredentialsByHost

Provides storage for multiple credentials.

The class stores credentials for multiple Internet resources. Applications that need to access multiple resources can store the credentials for those resources in a instance that then provides the proper set of credentials for a given resource when required. When the method is called, it compares the URI and authentication type provided with those stored in the cache, and returns the first set of credentials that match.

- Constructor

  Constructs and initializes a new instance of the class.

  This constructor creates a instance with its property initialized to the system credentials of the current process.

  Use the method to add additional credentials to the instance.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` A that contains the URI prefix of resources to which grants access. A containing the authentication type used by the resource named in . This string is required to be identical to the of the authentication module that uses the credential. A to add to the credential cache.

  Adds a instance to the credential cache.

  The cache stores credentials in the order in which they are added.

  Use the method to retrieve instances.

  The or parameter is . The cache already contains a credential for the specified and 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Net.ICredentials

  Gets the system credentials in use for the current process.

  A instance that represents the system credentials in use for the current process.

  This property is read-only.

  Requires read access to the environment variable that contains the user name. See . 0 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Net.NetworkCredential To be added. To be added. To be added.
- Method
  System.Net.NetworkCredential `` `` A that contains the URI prefix of resources for which the client will be authenticated. A containing the authentication type used by the resource named in . This string is required to be identical to the of the authentication module that uses the credential.

  Returns the instance associated with a URI and authentication type.

  A , or if there is no matching credential in the cache.

  This method searches the and returns the instance for the specified URI prefix and authentication type. This method uses the longest matching URI prefix in the cache to determine which credentials to return for an authentication type.

  The following table shows the matches for a set of URI prefixes (assuming the URI prefixes are all cached for the specified authentication type).

  URI Prefix
  Matches
  http://www.contoso.com/portal/news.htm
  Matches only requests for http://www.contoso.com/portal/news.htm.
  http://www.contoso.com/portal/
  Matches requests for all resources in the portal path, except for requests for the http://www.contoso.com/portal/news.htm page.
  http://www.contoso.com/
  Matches requests for all resources at www.contoso.com, except those in the portal path. The or parameter is . 0 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Net.NetworkCredential `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Collections.IEnumerator

  Returns an enumerator that iterates through credentials stored in the current instance.

  A for the current instance.

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A that specifies the resources for which the credential is used. A containing the authentication type used by the resource named in . This string is required to be identical to the of the authentication module that uses the credential.

  Deletes a instance from the cache.

  The method locates and removes the instance that is cached for the specified URI prefix and authentication type. If there is no match found in the cache for the specified values, this method has no effect. The and values are required to exactly match the values supplied at the time the credential was added to the cache. For additional information, see .

  0
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
0